<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="vip.xiaonuo.biz.modular.bizvehicle.mapper.BizVehicleMapper">

    <select id="getPage" resultType="vip.xiaonuo.biz.modular.bizvehicle.entity.BizVehicle">
        select
            bc.id,
            bc.license_plate,
            bc.vehicle_axles,
            bec.vehicle_axle_number,
            bc.driver_name,
            bc.driver_mobile,
            bc.status,
            bc.create_user,
            bc.create_time
        from biz_vehicle bc
        left join biz_excess_config bec on bec.id = bc.vehicle_axles
        ${ew.customSqlSegment}
    </select>
</mapper>
